Get booking by id
GET
/bookings/{id}Auth: X-API-Key headerhttps://warpdrive.staging.transferz.com/partners
Retrieves a previously created booking including associated journeys
Returns a booking with all its journeys, including each journey's status, driver and price. There is no search or list for bookings: store the booking id from Create booking.
Guides: Create a booking, Pay for a booking
Path parameters
Headers
Responses
OK
Errors this endpoint can return
- 403, failedINSUFFICIENT_PERMISSIONS
When: The booking belongs to another partner.
What to do: Check that the id belongs to your company and that you use the key of the right user. Ask Transferz to check the account's permissions if the id is correct.